# Get all accounts (deprecated)

Returns a list containing the accounts shared for a consent.


Does a fresh pull from the external provider.

Endpoint: GET /data/v1/consents/{consentId}/accounts
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    The consent ID to fetch the account information for

## Header parameters:

  - `endUser-Ip` (string)
    The IP address of the end user. If provided will enable unlimited data refreshes for open banking providers that support this feature.

## Response 200 fields (application/json):

  - `providerId` (string)
    The unique identifier of the provider.

  - `providerName` (string)
    The name of the provider e.g., Lloyds.

  - `countryCode` (string)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `requestDateTime` (string)
    ISO 8601 (UTC) encoded date time string containing
the date and time the data was retrieved.

  - `accounts` (array)
    The list of accounts returned for the Provider.

  - `accounts.accountId` (string)
    Unique identifier for the account at the institution.

  - `accounts.currencyCode` (string)
    ISO4217 currency code for the account.

  - `accounts.displayName` (string)
    The user’s familiar name for the account.

  - `accounts.accountHolderNames` (string)
    The AccountHolderNames is the name or names of the account owner(s) represented at an account level.

  - `accounts.accountType` (string)
    Enum: "Business", "Personal"

  - `accounts.accountSubType` (string)
    Enum: "ChargeCard", "CreditCard", "CurrentAccount", "Emoney", "Loan", "Mortgage", "PrepaidCard", "Savings"

  - `accounts.identifiers` (object)

  - `accounts.identifiers.accountNumber` (string)
    The bank’s unique identifier for the account.

  - `accounts.identifiers.bankCode` (string)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK).

  - `accounts.identifiers.bic` (string)
    Bank Identifier Code (BIC) is a standard format used to help identify banks worldwide.
BIC is needed when transferring money between banks,
in particular for international wire transfers.
BIC code is interchangeably used with SWIFT code

  - `accounts.identifiers.iban` (string)
    International Bank Account Number (IBAN).

  - `accounts.identifiers.secondaryIdentification` (string)
    Additional information for identifying the account in the institution,
e.g., Building society Roll Number.

  - `accounts.parties` (array)

  - `accounts.parties.partyId` (string)
    A unique and immutable identifier used to identify a specific party.
This identifier has no meaning to the account owner.

  - `accounts.parties.fullName` (string)
    Name by which a specific party is known and which is usually used to identify that party.

  - `accounts.parties.addresses` (array)
    Addresses associated with a specific party.

  - `accounts.parties.addresses.address` (string)
    Information that identifies an address of a specific party.

  - `accounts.parties.addresses.type` (string)
    A collection of address types.
    Enum: "Business", "Correspondence", "DeliveryTo", "MailTo", "POBox", "Postal", "Residential", "Statement"

  - `accounts.parties.addresses.city` (string)
    Information that identifies a specific city in the party address.

  - `accounts.parties.addresses.postcode` (string)
    Information that identifies a specific postcode in the party address.

  - `accounts.parties.addresses.country` (string)
    Information that identifies a specific country in the party address.

  - `accounts.parties.addresses.countrySubDivision` (string)
    Identifies a subdivision of a country e.g., state, region, county in the party address.

  - `accounts.parties.partyType` (string)
    Party type, in a coded form.
    Enum: "Delegate", "Joint", "Sole"

  - `accounts.parties.isIndividual` (boolean)
    Indicates the party is an individual and not a business.

  - `accounts.parties.isAuthorizingParty` (boolean)
    Indicates the party authorized the connection on behalf of a joint or business account.

  - `accounts.parties.emailAddress` (string)
    Email address of a specific party.

  - `accounts.parties.phoneNumbers` (array)
    Phone numbers which are linked to a specific party.

  - `accounts.parties.phoneNumbers.type` (string)
    A collection of different types of phone number.
    Enum: "Home", "Work", "Landline", "Mobile"

  - `accounts.parties.phoneNumbers.phoneNumber` (string)
    Collection of information that identifies a phone number.

  - `accounts.balances` (object)
    Balance information for a given account

  - `accounts.balances.current` (object)
    Balance information for a given account

  - `accounts.balances.current.amount` (number)
    The absolute amount of the balance

  - `accounts.balances.current.creditDebitIndicator` (string)
    Enum: "Credit", "Debit"

  - `accounts.balances.current.creditLines` (array)
    Credit lines of the balance

  - `accounts.balances.current.creditLines.amount` (number)
    Amount for credit lines is optional and can be null.

  - `accounts.balances.current.creditLines.creditLineType` (string)
    Enum: "NA", "PREAGREED", "TEMPORARY", "EMERGENCY", "CREDIT", "AVAILABLE"

  - `accounts.balances.current.creditLines.included` (boolean)

  - `accounts.balances.current.creditLines.predicted` (boolean)

  - `accounts.transactions` (array)

  - `accounts.transactions.transactionId` (string)
    Unique transaction id assigned by the provider

  - `accounts.transactions.description` (string)
    A description line for the transaction

  - `accounts.transactions.amount` (number)
    The quantity of money

  - `accounts.transactions.status` (string)
    Enum: "Pending", "Booked"

  - `accounts.transactions.transactionCode` (object)

  - `accounts.transactions.transactionCode.code` (string)
    Specifies the family within a domain.

  - `accounts.transactions.transactionCode.subCode` (string)
    Specifies the sub-product family within a specific family.

  - `accounts.transactions.proprietaryTransactionCode` (object)

  - `accounts.transactions.proprietaryTransactionCode.code` (string)
    Proprietary bank transaction code to identify the underlying transaction.

  - `accounts.transactions.proprietaryTransactionCode.issuer` (string)
    Identification of the issuer of the proprietary bank transaction code.

  - `accounts.transactions.bookingDate` (string)
    ISO8601 formatted date string containing the date the transaction is expected to be settled(or did settle)

  - `accounts.transactions.merchantDetails` (object)
    Details of the merchant involved in the transaction.

  - `accounts.transactions.merchantDetails.merchantName` (string)
    Name by which the merchant is known.

  - `accounts.transactions.merchantDetails.merchantCategoryCode` (string)
    Category code conform to ISO 18245, related to the type of services or goods the
merchant provides for the transaction.

  - `accounts.transactions.enrichedData` (object)

  - `accounts.transactions.enrichedData.category` (object)

  - `accounts.transactions.enrichedData.category.id` (integer)

  - `accounts.transactions.enrichedData.category.name` (string)

  - `accounts.transactions.enrichedData.category.confidence` (number)
    Confidence score range: 0.0 - 1.0

  - `accounts.transactions.enrichedData.predictedMerchantName` (string)

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

